local addonName = "Bartender3"

cyCircled_Bartender3 = cyCircled:NewModule(addonName)

function cyCircled_Bartender3:AddonLoaded(addon)
	self.db = cyCircled:AcquireDBNamespace(addonName)
	
	-- setup default config and element table (10 bars)
	local bid, bname = 0, ""
	self.defaultCfg = {}
	self.elements = {}
	self.buttonmap = {}
	for i=1, 10 do
		self.defaultCfg["Bar"..i] = true
		
		-- bars
		self.elements["Bar"..i] = { 
			elements = {},
			args = {
				button = { width = 35, height = 35, },
				parentname = false,
			},
		}
		
		-- buttons (12 buttons per bar)
		bid = (i-1)*12
		for j=(bid+1), (bid+12) do
			bname = format("BT3Button%d", j)
			table.insert(self.elements["Bar"..i].elements, bname)
			
			--  button to bar map (to easily check if a bar has the skin enabled)
			self.buttonmap[j] = i
		end
	end
	cyCircled:RegisterDefaults(addonName, "profile", self.defaultCfg)
	
end

function cyCircled_Bartender3:GetElements()
	return {
		["Bar1"] = true,
		["Bar2"] = true,
		["Bar3"] = true,
		["Bar4"] = true,
		["Bar5"] = true,
		["Bar6"] = true,
		["Bar7"] = true,
		["Bar8"] = true,
		["Bar9"] = true,
		["Bar10"] = true,
	}
end
